Class | Chef::Provider::Service::Redhat
In: | lib/chef/provider/service/redhat.rb
Parent: | Chef::Provider::Service::Init

### Methods

disable_service enable_service load_current_resource new

### Included Modules

Chef::Mixin::ShellOut

### Constants

CHKCONFIG_ON | = | /\d:on/

### Public Class methods

new(new_resource, run_context)

### Public Instance methods

disable_service()
enable_service()
load_current_resource()

[Validate]